#include <stdio.h>
#include <fat32.h>
#include <gpio.h>
#include <uart.h>
#include <stm32f4xx.h>
#include <bsp.h>
#include <i2c.h>
#include <CS43L22.h>


extern streamdevice* __opnfiles__[];

int main()
{
    CS43L22_t audioDac1;
    cs43l22open(&audioDac1,i2c1,0);
    char id=cs43l22getID(&audioDac1);
    printf("DAC ID=%x\n\r",0x0ff&id);
    while(1)
    {
        for(volatile int i=0;i<1024*2048;i++);
        gpioset(LED1);
        gpioclr(LED2);
        for(volatile int i=0;i<1024*2048;i++);
        gpioclr(LED1);
        gpioset(LED2);
        i2cwrite(i2c1,0x4a,"test",1);
    }
    printf("hello world\n\r");
    return 0;
}









